Eeschema rendering unusably slow with open-source radeon driver

Bug #1003859 reported by jaseg on 2012-05-24
64
This bug affects 12 people
Affects Status Importance Assigned to Milestone
KiCad
Undecided
Unassigned

Bug Description

I'm using a Lenovo Thinkpad x121e with an AMD Fusion E450. I am using a 64-bit debian sid:
Linux (none) 3.4-0.slh.1-aptosid-amd64 #1 SMP PREEMPT Mon May 21 01:42:58 UTC 2012 x86_64 GNU/Linux

I recently switched from the proprietary ati fglrx graphics driver to the free "radeon" driver (version 1:6.14.4-4).
Since I switched drivers (previously everything was running smoothly), EESchema produces "frame rates" well below 1 Frame/second which makes it impossible to use.
This probably is no performance issue since Minecraft (3D computer game) runs smooth at highest graphics settings, and Firefox shows no issues rendering, either.

On Thu, May 24, 2012 at 09:47:02AM -0000, jaseg wrote:
> Since I switched drivers (previously everything was running smoothly), EESchema produces "frame rates" well below 1 Frame/second which makes it impossible to use.

Strange, the radeon driver accelerates properly the 2D primitives... are
you using some kind of compositing window manager maybe?

--
Lorenzo Marcantonio
Logos Srl

Having this bug too, KiCad 2011-Nov-30.
Xorg process jumping to high cpu load when doing something in schematics like zooming/moving.

Using open-source radeon driver too. Default Ubuntu desktop environment, Unity with Compiz I guess.

Pcbnew and 3D view works without slowdown.

On Tue, May 29, 2012 at 10:11:02PM -0000, Anton Veretenenko wrote:
> Pcbnew and 3D view works without slowdown.

Really strange since eeschema and pcbnew share the same exact graphic
library!!!

--
Lorenzo Marcantonio
Logos Srl

I tried it without Compiz using Ubuntu 2D at login screen and Gnome classic, the same problem with rendering.
Even when start moving part in eeschema some graphics garbage appears, it's like screen not redrawn properly.
No garbage in pcbnew though.
Screenshot attached.

On Thu, May 31, 2012 at 03:58:49AM -0000, Anton Veretenenko wrote:
> I tried it without Compiz using Ubuntu 2D at login screen and Gnome classic, the same problem with rendering.
> Even when start moving part in eeschema some graphics garbage appears, it's like screen not redrawn properly.
> No garbage in pcbnew though.

This kind of garbage is more or less normal, altough you have too much
of it! it seems that your driver has issues with xor drawing... try
dragging a track in pcbnew, it should give you the same problem.

--
Lorenzo Marcantonio
Logos Srl

Tried dragging track in pcbnew, no garbage =) Seems something different going on in eeschema and pcbnew. I'll try it on intel graphics to make sure it's radeon bug and not ubuntu smth.

Jonathan Bruce (lostinmyfro) wrote :

I am curious if there has been any progress in this issue. I am having a very similar issue on very similar hardware. I have an HP dmz1 4100 laptop with the AMD Fusion E-450 APU. Not only am I having extreme lag in Eeschema, but in Pcbnew as well. Listed are the various system configurations I have tried so far, none which have solved the issue:

Mint Linux 14 Kernel=3.8 Open source drivers
Mint Linux 15 Kernel=3.8 Open source drivers
Mint Linux 15 Kernel=3.12 Open source drivers
Mint Linux 15 Kernel=3.12 Open source drivers+Radeon power management mod+Mesa Stack 10.1
Fedora 20 Kernel=3.11 Open source drivers
Fedora 20 Kernel=3.12 Open source drivers
Fedora 20 Kernel=3.12 Open source drivers+xorg.conf "NoAccel" modification found here:
                                                              http://comments.gmane.org/gmane.comp.freedesktop.xorg.drivers.ati/20876
Fedora 20 Kernel=3.13rc2 Open source drivers (not stable yet for my system)

Note: On all these varients, I have tried to run KiCAD in Gnome, Cinnamon, and Xfce.

Cases where I got KiCAD to run smoothly
(1) Mint Linux 15 Kernel=3.8 ATI Drivers from Ubuntu repos (fglrx)
(2) Fedora Kernel=3.12 Open sournce drivers+xorg.conf "EXAPimaps" modification found here:
                                                                    http://comments.gmane.org/gmane.comp.freedesktop.xorg.drivers.ati/20876

Reasons why I can use the cases where KiCAD ran smoothly:
Case (1): Kernel 3.12 fixes some critical issues I was having with my Broadcom wifi card, but the kernel crashes fglrx.
Case (2): This fix sets the entire system into software rendering. Thus every graphic interface is slow.

Also while looking for a solution, I found this post from 2 years ago:
http://thread.gmane.org/gmane.comp.freedesktop.xorg.drivers.ati/20105/focus=20361
So, it might be a Xorg+hardware exclusive issue.... :-/

Here is the print out from "dmesg | grep drm":
http://pastebin.com/aWwmWtEP

Any help will be greately appreciated.

Changed in kicad:
status: New → In Progress
status: In Progress → New
michalstec (nnn4000) wrote :

I've got similar problem. Eeschema and Pcbnew very slow if loaded big schematic/board.
Mint 16 mate, opensource radeon driver.

Terry Barnaby (terry-j) wrote :

Yes, the same problem for many months now on various ATI graphics based systems using OpenSource X11 driver. Intel graphics based systems are fine.

Terry Barnaby (terry-j) wrote :

Just to confirm from the above adding:

Option "EXAPixmaps" "False"

To the radeon Device section in /etc/X11/xorg.conf (after creating that file (Fedora19)) speeds up kicad to acceptable speeds.
Not sure what effect this has on general X11 speed though.

NoobMan (noobmanmtg) wrote :

I also got same problem with arch, HD6570 and free driver, and can confirm the post above with

Option "EXAPixmaps" "false"

Solved the problem for me. In the related file (e.g. ati.conf) in /etc/X11/... i just added the line in "Device" section - just before EndSection.

Thank you Terry for the fix.

Jon Neal (reportingsjr) wrote :

I posted to the mailing list about this and I was told this was a wontfix bug. It is a problem with Xorg and not Kicad. As such, can somebody mark this as a wontfix bug rather than leaving it open?

Jon Neal (reportingsjr) on 2014-07-15
Changed in kicad:
status: New → Won't Fix
jake waters (jake-d) wrote :

I am running Linux Mint 17.1 on a Samsung 365E (np365e5c-s01ub) with AMD Radeon HD 7520G, running Kicad 2015-2-22 BZR 5447, which is all pretty fresh.

I am having these same troubles, and so I am going to try putting the following into /etc/X11/xorg.conf.d/10-fixkicad.conf (which I had to create):

Section "Device"
  Identifier "radeon1"
  Driver "radeon"
  Option "EXAPixmaps" "off"
EndSection

thanks to c4757p for this suggestion

osterchrisi (osterchrisi) wrote :

And did that work, jake waters?

worked for me on Mint 18

/etc/X11/xorg.conf.d/10-fixkicad.conf (to be created)

Section "Device"
  Identifier "radeon1"
  Driver "radeon"
  Option "EXAPixmaps" "off"
EndSection

Hasan Yavuz Özderya (hyozd) wrote :

I had this problem with my 6850 card. Same problem continues with the rx460 which uses newer amdgpu driver. Unfortunately this driver doesn't have the "EXAPixmaps" option. But I found another option that seems to help the situation: "ShadowPrimary". Here is the Xorg configuration file I used:

Section "Device"
  Identifier "AMDgpu"
  Driver "amdgpu"
  Option "ShadowPrimary"
EndSection

Disclaimer from man page of amdgpu: This may improve performance for some 2D workloads, potentially at the expense of other (e.g. 3D, video) workloads.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers